Bug 430399 - Review Request: kstart - Daemon version of kinit for Kerberos v5
Review Request: kstart - Daemon version of kinit for Kerberos v5
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-27 09:00 EST by Simon Wilkinson
Modified: 2008-04-22 18:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-22 18:59:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simon Wilkinson 2008-01-27 09:00:19 EST
Spec URL: http://homepages.inf.ed.ac.uk/sxw/kstart.spec
SRPM URL: http://homepages.inf.ed.ac.uk/sxw/kstart-3.10-1.src.rpm
Description:
k5start is a modified version of kinit which can use keytabs to authenticate, 
can run as a daemon and wake up periodically to refresh a ticket, and can run 
single commands with its own authentication credentials and refresh those 
credentials until the command exits. 

This is my second package contribution to Fedora (first in #428642), and I'm still looking for a sponsor. Thanks!
Comment 1 Mamoru TASAKA 2008-01-27 10:47:17 EST
Removing NEEDSPONSOR. I will sponsor Simon.
Comment 2 Jason Tibbitts 2008-04-04 22:43:54 EDT
I actually went looking for this the other day, only to find it sitting in the
review queue for two months.

The license actually looks like the MIT license to me; the kerberos portion is
definitely the old-style MIT license and the rest is yet another modern version.
I'd use "MIT" for the License: tag.  Not that there's a significant distinction,
but we do separate the two for some reason I doubt I'd understand.

* source files match upstream:
   120320685f67776f823830c93a154a5960209f2e09f55e0519debcd18e89ffea  
   kstart-3.10.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field should be MIT.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   kstart = 3.10-1.fc9
  =
   libkrb5.so.3()(64bit)
   libkrb5.so.3(krb5_3_MIT)(64bit)

* %check is not present; no test suite upstream.  I'm not quite sure how I'd 
  test this.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

I'll go ahead and approve this on the condition that you agree with the license
change.  If you don't, let me know and we can discuss it.  Otherwise, fix it up
when you commit.

APPROVED
Comment 3 Simon Wilkinson 2008-04-12 08:01:12 EDT
New Package CVS Request
=======================
Package Name: kstart
Short Description: Daemon version of kinit for Kerberos v5
Owners: sxw
Branches: EL-5 F-7 F-8 
InitialCC: 
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-04-12 17:53:50 EDT
cvs done.
Comment 5 Simon Wilkinson 2008-04-22 18:59:39 EDT
Built. Available now for EL-5, F-7 and F-8.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.